FROM fluxcd/flux-cli:v0.17.0

RUN apk update && \
    apk add bash py-pip && \
    apk add --virtual=build gcc libffi-dev musl-dev openssl-dev python3-dev make

RUN pip --no-cache-dir install -U pip && \
    pip --no-cache-dir install azure-cli  

RUN apk del --purge build
